
.TH "GCLOUD_ACCESS\-APPROVAL_REQUESTS_LIST" 1



.SH "NAME"
.HP
gcloud access\-approval requests list \- list Access Approval requests



.SH "SYNOPSIS"
.HP
\f5gcloud access\-approval requests list\fR [\fB\-\-state\fR=\fISTATE\fR;\ default="pending"] [\fB\-\-folder\fR=\fIFOLDER\fR\ |\ \fB\-\-organization\fR=\fIORGANIZATION\fR\ |\ \fB\-\-project\fR=\fIPROJECT\fR] [\fB\-\-filter\fR=\fIEXPRESSION\fR] [\fB\-\-limit\fR=\fILIMIT\fR] [\fB\-\-page\-size\fR=\fIPAGE_SIZE\fR] [\fB\-\-sort\-by\fR=[\fIFIELD\fR,...]] [\fIGCLOUD_WIDE_FLAG\ ...\fR]



.SH "DESCRIPTION"

List Access Approval requests by parent (project/folder/organization).



.SH "EXAMPLES"

To list all approval requests owned by project my\-project\-123, run:

.RS 2m
$ gcloud access\-approval requests list \-\-project=my\-project\-123 \e
    \-\-state=all
.RE

To list pending approval requests owned by organization 999, run:

.RS 2m
$ gcloud access\-approval requests list \-\-organization=999
.RE

or

.RS 2m
$ gcloud access\-approval requests list \-\-organization=999 \e
    \-\-state=pending
.RE

Note that the user needs to have permission accessapproval.requests.list on the
project/folder/organization



.SH "FLAGS"

.RS 2m
.TP 2m
\fB\-\-state\fR=\fISTATE\fR; default="pending"

filter for request state

.TP 2m

At most one of these can be specified:


.RS 2m
.TP 2m
\fB\-\-folder\fR=\fIFOLDER\fR

Folder number. Only one of \-\-project, \-\-folder, or \-\-organization can be
provided. If none are provided then it uses config property [core/project].

.TP 2m
\fB\-\-organization\fR=\fIORGANIZATION\fR

Organization number. Either \-\-project, \-\-folder, or \-\-organization must be
provided. If none are provided then it uses config property [core/project].

.TP 2m
\fB\-\-project\fR=\fIPROJECT\fR

Project number or id. Only one of \-\-project, \-\-folder, or \-\-organization
can be provided. If none are provided then it uses config property
[core/project].


.RE
.RE
.sp

.SH "LIST COMMAND FLAGS"

.RS 2m
.TP 2m
\fB\-\-filter\fR=\fIEXPRESSION\fR

Apply a Boolean filter \fIEXPRESSION\fR to each resource item to be listed. If
the expression evaluates \f5True\fR, then that item is listed. For more details
and examples of filter expressions, run $ gcloud topic filters. This flag
interacts with other flags that are applied in this order: \fB\-\-flatten\fR,
\fB\-\-sort\-by\fR, \fB\-\-filter\fR, \fB\-\-limit\fR.

.TP 2m
\fB\-\-limit\fR=\fILIMIT\fR

Maximum number of resources to list. The default is \fBunlimited\fR. This flag
interacts with other flags that are applied in this order: \fB\-\-flatten\fR,
\fB\-\-sort\-by\fR, \fB\-\-filter\fR, \fB\-\-limit\fR.

.TP 2m
\fB\-\-page\-size\fR=\fIPAGE_SIZE\fR

Some services group resource list output into pages. This flag specifies the
maximum number of resources per page. The default is determined by the service
if it supports paging, otherwise it is \fBunlimited\fR (no paging). Paging may
be applied before or after \fB\-\-filter\fR and \fB\-\-limit\fR depending on the
service.

.TP 2m
\fB\-\-sort\-by\fR=[\fIFIELD\fR,...]

Comma\-separated list of resource field key names to sort by. The default order
is ascending. Prefix a field with ``~'' for descending order on that field. This
flag interacts with other flags that are applied in this order:
\fB\-\-flatten\fR, \fB\-\-sort\-by\fR, \fB\-\-filter\fR, \fB\-\-limit\fR.


.RE
.sp

.SH "GCLOUD WIDE FLAGS"

These flags are available to all commands: \-\-access\-token\-file, \-\-account,
\-\-billing\-project, \-\-configuration, \-\-flags\-file, \-\-flatten,
\-\-format, \-\-help, \-\-impersonate\-service\-account, \-\-log\-http,
\-\-project, \-\-quiet, \-\-trace\-token, \-\-user\-output\-enabled,
\-\-verbosity.

Run \fB$ gcloud help\fR for details.



.SH "NOTES"

These variants are also available:

.RS 2m
$ gcloud alpha access\-approval requests list
.RE

.RS 2m
$ gcloud beta access\-approval requests list
.RE


